%define name	icecast
%define version	1.3.11
%define release 1

%define gid 47
%define gname icecast

Summary:	Icecast - Streaming Media Server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Applications/Multimedia
License:	GPL
URL:		http://www.icecast.org
Source0:	%{name}-%{version}.tar.bz2
Source1:	icecast.init
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
%setup

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --enable-fsstd --with-libwrap
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-fsstd --with-libwrap
fi

# Test if we have a SMP capable computer, and take advantage of it
if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

make -j $NRPROC

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# copy the configuration files to be the right name so that it works without 
# _having_ # to change them (though they should), and leave the defaults so 
# they don't screw with them
%{__cp} $RPM_BUILD_ROOT/etc/icecast/icecast.conf.dist $RPM_BUILD_ROOT/etc/icecast/icecast.conf
%{__cp} $RPM_BUILD_ROOT/etc/icecast/groups.aut.dist $RPM_BUILD_ROOT/etc/icecast/groups.aut
%{__cp} $RPM_BUILD_ROOT/etc/icecast/mounts.aut.dist $RPM_BUILD_ROOT/etc/icecast/mounts.aut
%{__cp} $RPM_BUILD_ROOT/etc/icecast/users.aut.dist $RPM_BUILD_ROOT/etc/icecast/users.aut

%{__mkdir_p} $RPM_BUILD_ROOT/etc/rc.d/init.d
%{__install} -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/icecast

%files
%defattr(-,root,root)
%doc AUTHORS
%doc BUGS
%doc CHANGES
%doc COPYING
%doc FAQ
%doc README
%doc TESTED
%doc TODO
%doc doc/manual.html
/usr/sbin/icecast
%attr(775,root,%{gname}) %dir /var/log/icecast
/usr/share/icecast/
%attr(770,root,%{gname}) %dir /etc/icecast
%attr(640,root,%{gname}) /etc/icecast/groups.aut.dist
%attr(640,root,%{gname}) /etc/icecast/mounts.aut.dist
%attr(640,root,%{gname}) /etc/icecast/users.aut.dist
%attr(640,root,%{gname}) /etc/icecast/icecast.conf.dist
%attr(640,root,%{gname}) %config /etc/icecast/groups.aut
%attr(640,root,%{gname}) %config /etc/icecast/mounts.aut
%attr(640,root,%{gname}) %config /etc/icecast/users.aut
%attr(640,root,%{gname}) %config /etc/icecast/icecast.conf
%config /etc/rc.d/init.d/icecast

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
groupadd -g %{gid} -o -r -f %{gname} >/dev/null 2>&1 || :

%post
chkconfig --add icecast

%preun
if [ "$1" = 0 ] ; then
  chkconfig --del icecast
fi

%postun
if [ $1 = 0 ] ; then
	groupdel %{gname} >/dev/null 2>&1 || :
fi

%changelog
* Mon Dec  3 2001 Peter Hanecak <hanecak@megaloman.sk>
  [1.3.11-1]
- incorporated stuff from original icecast spec file
- .bz2 source archiv
- s/Copyright/License

* Sun Jun  4 2000 Peter Hanecak <hanecak@megaloman.sk>
  [1.3.5-2]
- icecast group

* Fri Apr 21 2000 Arne Coucheron <arneco@online.no>
  [1.3.5-1]
- several changes in the spec file
- changed the init script

* Fri Jul 16 1999 Arne Coucheron <arneco@online.no>
  [1.3.0-1]
- added more documentation
- deactivation of icecast init file moved to %preun
- some changes in the %install section
- changed Group: tag

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [1.1.4-1]
- added serial tag to let it make it into RH contrib

* Mon Mar 13 1999 Arne Coucheron <arneco@online.no>
  [1.1.3-1]
- added liveice program and config file

* Fri Mar 05 1999 Arne Coucheron <arneco@online.no>
  [1.1.2-1]

* Wed Mar 03 1999 Arne Coucheron <arneco@online.no>
  [1.1.0-2]
- a small change in the init script

* Tue Mar 02 1999 Arne Coucheron <arneco@online.no>
  [1.1.0-1]
- first RPM build
